
package de.ivu.elect.presentation.geodata.menu;

import javax.inject.Inject;

import de.ivu.elect.business.geodata.entity.GeodataOrtMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtExportDescription;

public class GeodataOrtExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private GeodataOrtMeta geodataOrtMeta;

  @Inject
  private GeodataOrtExportDescription geodataOrtExportDescription;

  public GeodataOrtExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return geodataOrtExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return geodataOrtMeta;
  }
}
